<div class="field" (click)="takeField()" [ngStyle]="{'border-color': field.color}">
    <img [attr.src]="field.img">
    <div *ngIf="field.food !== 0" class="field-content">{{field.food}} <img src="./assets/img/food.png"></div>
    <div *ngIf="field.manufacture !== 0" class="field-content">{{field.manufacture}}
        <img src="./assets/img/production.png">
    </div>
    <div class="field-building" [appAddImage]="field.building"></div>
    <div class="field-resources" [appAddImage]="field?.resources?.img"></div>
</div>
